<template>
    <h1>Login</h1>
    <form @submit.prevent="submitLogin">
        <input type="string" placeholder="username" v-model="username.value.value">
        <input type="password" placeholder="password" v-model="password.value.value">
        <button type="submit">Submit</button>
    </form>
</template>

<script setup lang="ts">
import { ref } from 'vue'
import { useField, useForm } from 'vee-validate'
import { useUserStore } from '@/stores/user'

const { login, user, token } = useUserStore()

const { handleSubmit, handleReset, setErrors } = useForm({
    validationSchema: {
        username (value: string) {
            if (value?.length >= 6) return true
            return 'Must be a valid e-mail.'
        },
        password (value: string) {
            if (value?.length >= 6) return true
            return 'Password length needs to be at least 6.'
        }
    }
})

const showPassword = ref(false)

const username = useField('username')
const password = useField('password')

const submitLogin = handleSubmit(values =>  login(values))
</script>
